post
https://sandbox.saner.secpod.com/CHScanner/updateCHSWeightage
This method is used to update the weights of anomaly, compliance, missing patches, vulnerabilities and starts a CHS Scan.
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.CyberHygiene.updateAccountScoreWeightage(
account_name="Default",
user_id="[email protected]",
weightage={
"Anomaly": 20,
"Compliance": 20,
"Missing_Patches": 20,
"Risk_Prioritization": 20,
"Vulnerability": 20
}
)
print(response)
client.close()Requires Python 3.9 or later.